# Class ClientInitConfig

#### Implements

- InitConfigObjectJS

#####
Index

### Constructors

constructor

### Properties

apiUrl?
autoReconnectMedia?
customLoggers
disableInternalLogger
loggingLevel
region
rtcStatsTelemetry?
websocketPath?
websocketUrl?

## Constructors

### constructor

- new ClientInitConfig(loggingLevel?, region?, customLoggers?): ClientInitConfig

- Constructs a new instance of the class.

  #### Parameters

  - ##### loggingLevel: LoggingLevel = vonage.DEFAULT_LOGGING_LEVEL

  - ##### region: ConfigRegion = vonage.DEFAULT_REGION

  - ##### `Optional` customLoggers: VonageLogger[]

  #### Returns ClientInitConfig

## Properties

### `Optional` apiUrl

apiUrl?: Nullable<string>

Implementation of InitConfigObjectJS.apiUrl

### `Optional` autoReconnectMedia

autoReconnectMedia?: Nullable<boolean>

Implementation of InitConfigObjectJS.autoReconnectMedia

### customLoggers

customLoggers: VonageLoggerJS[] = []

Implementation of InitConfigObjectJS.customLoggers

### disableInternalLogger

disableInternalLogger: boolean = false

Implementation of InitConfigObjectJS.disableInternalLogger

### loggingLevel

loggingLevel: LoggingLevelJS

Implementation of InitConfigObjectJS.loggingLevel

### region

region: CoreClientConfigRegionJS

Implementation of InitConfigObjectJS.region

### `Optional` rtcStatsTelemetry

rtcStatsTelemetry?: Nullable<boolean>

Implementation of InitConfigObjectJS.rtcStatsTelemetry

### `Optional` websocketPath

websocketPath?: Nullable<string>

Implementation of InitConfigObjectJS.websocketPath

### `Optional` websocketUrl

websocketUrl?: Nullable<string>

Implementation of InitConfigObjectJS.websocketUrl